package com.wdkl.ncs.android.middleware.model.dos;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.annotation.Id;
import com.wdkl.ncs.android.middleware.model.annotation.PrimaryKeyField;
import com.wdkl.ncs.android.middleware.model.annotation.Table;

import java.io.Serializable;

@Table(name = "ncs_nurse_config")
@ApiModel
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
public class NurseConfigDO implements Serializable {

    /**
     * null
     */
    @Column(name = "id")
    @ApiModelProperty(value = "null", required = false)
    @Id(name = "id")
    private Integer id;
    /**
     * null
     */
    @Column(name = "union_id")
    @ApiModelProperty(value = "null", required = false)
    private String unionId;
    /**
     * null
     */
    @Column(name = "sync_time")
    @ApiModelProperty(value = "null", required = false)
    private Long syncTime;
    /**
     * null
     */
    @Column(name = "part_id")
    @ApiModelProperty(value = "null", required = false)
    private Integer partId;
    /**
     * HIS系统数据KEY
     */
    @Column(name = "his_keyval")
    @ApiModelProperty(value = "HIS系统数据KEY", required = false)
    private String hisKeyval;
    /**
     * HIS系统科室KEY
     */
    @Column(name = "his_part_keyval")
    @ApiModelProperty(value = "HIS系统科室KEY", required = false)
    private String hisPartKeyval;
    /**
     * null
     */
    @Column(name = "config_name")
    @ApiModelProperty(value = "null", required = false)
    private String configName;
    /**
     * null
     */
    @Column(name = "index_no")
    @ApiModelProperty(value = "null", required = false)
    private Boolean indexNo;


    @PrimaryKeyField
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }


    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }


    public Long getSyncTime() {
        return syncTime;
    }

    public void setSyncTime(Long syncTime) {
        this.syncTime = syncTime;
    }


    public Integer getPartId() {
        return partId;
    }

    public void setPartId(Integer partId) {
        this.partId = partId;
    }


    public String getHisKeyval() {
        return hisKeyval;
    }

    public void setHisKeyval(String hisKeyval) {
        this.hisKeyval = hisKeyval;
    }


    public String getHisPartKeyval() {
        return hisPartKeyval;
    }

    public void setHisPartKeyval(String hisPartKeyval) {
        this.hisPartKeyval = hisPartKeyval;
    }


    public String getConfigName() {
        return configName;
    }

    public void setConfigName(String configName) {
        this.configName = configName;
    }


    public Boolean getIndexNo() {
        return indexNo;
    }

    public void setIndexNo(Boolean indexNo) {
        this.indexNo = indexNo;
    }

}
